summaryrefslogtreecommitdiff
path: root/virtual
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2021-08-14 19:52:59 +0100
committerV3n3RiX <venerix@redcorelinux.org>2021-08-14 19:52:59 +0100
commita1340e4c32806c08f6c09f5430ddfb69970d911d (patch)
tree3f57560d795a7be4da44ba976f0314c58a85a55c /virtual
parentd1bc682445a5d4c7e4a2bd66655f60ed1f1353e1 (diff)
replace sys-fs/eudev (no longer maintained) -> sys-fs/udev; update overlay metadata
Diffstat (limited to 'virtual')
-rw-r--r--virtual/libudev/libudev-1000.ebuild19
-rw-r--r--virtual/udev/udev-1000.ebuild15
2 files changed, 34 insertions, 0 deletions
diff --git a/virtual/libudev/libudev-1000.ebuild b/virtual/libudev/libudev-1000.ebuild
new file mode 100644
index 00000000..9e940592
--- /dev/null
+++ b/virtual/libudev/libudev-1000.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib-build
+
+DESCRIPTION="Virtual for libudev providers"
+
+SLOT="0/1"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="static-libs systemd"
+
+RDEPEND="
+ !systemd? ( || (
+ >=sys-fs/udev-232:0/0[${MULTILIB_USEDEP},static-libs(-)?]
+ ) )
+ systemd? ( >=sys-apps/systemd-232:0/2[${MULTILIB_USEDEP},static-libs(-)?] )
+"
diff --git a/virtual/udev/udev-1000.ebuild b/virtual/udev/udev-1000.ebuild
new file mode 100644
index 00000000..f9583597
--- /dev/null
+++ b/virtual/udev/udev-1000.ebuild
@@ -0,0 +1,15 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Virtual to select between different udev daemon providers"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ || (
+ >=sys-fs/udev-217
+ >=sys-apps/systemd-217
+ )
+"